package com.yijia.station.domain;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 订单支付对象 pay_order
 * 
 * @author yijia
 * @date 2021-01-12
 */
public class PayOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long orderId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderNo;

    /** 油站id */
    private Long stationId;
    /** 油站名称 */
    private String stationName;

    /** 状态(0未支付，1，已支付) */
    private String status;

    /** 用户id(消费者) */
    private Long consumerId;

    /** 消费者 */
    @Excel(name = "消费者")
    private String consumer;

    /** 加油枪号 */
    @Excel(name = "加油枪号")
    private String oilGun;

    /** 油品名称 */
    @Excel(name = "油品名称")
    private String oilName;

    /** 油品价格 */
    @Excel(name = "油品价格")
    private BigDecimal oilPirce;

    /** 油品类型（1.柴油 2 汽油） */
    private String oilType;

    /** 加油升数 */
    @Excel(name = "加油升数")
    private BigDecimal orderLiters;

    /** 实收金额 */
    @Excel(name = "金额")
    private BigDecimal amt;

    /** 应收金额 */
    private BigDecimal receivableAmt;

    /** 到账金额 */
    private BigDecimal receivedAmt;

    /** 优惠金额 */
    private BigDecimal discountAmt;

    /** 优惠券金额 */
    private BigDecimal discountCouponAmt;
    /** 优惠券 */
    private String discountCoupon;

    /** 微信支付金额 */
    private BigDecimal wxAmt;

    /** 支付宝支付金额 */
    private BigDecimal zfbAmt;

    /** pos支付金额 */
    private BigDecimal posAmt;

    /** 现金支付金额 */
    private BigDecimal xjAmt;

    /** 滴滴app支付金额 */
    private BigDecimal didiAppAmt;

    /** 团油app支付金额 */
    private BigDecimal tyAppAmt;

    /** 其他支付金额 */
    private BigDecimal otherAmt;

    /** 电子卡金额 */
    private BigDecimal dzkAmt;

    /** 消费积分 */
    private Long score;

    /** 会员卡号 */
   // @Excel(name = "会员卡号")
    private String memberNo;

    /** 会员支付金额 */
    private BigDecimal memberAmt;

    /** 打印小票数量 */
    private Long printCount;

    /** 支付类型：随行付：sxf */
    private String payType;

    /** 支付方式：02公众号，03小程序 */
    private String payWay;

    /** 加油员 */
    @Excel(name = "加油员")
    private String oilPersonnel;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  //  @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date payDate;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    //@Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createdDate;

    /** 订单类型（1.柴油，2.汽油，积分：3.现金+积分4.现金，5.积分） */

    private String orderType;

    /** 车牌号 */
    private String carNo;

    /** 客户电话 */
    private String customerPhone;

    /** 客户等级 */
    private String customerGrade;

    /** pos支付金额 */
    private BigDecimal qyAmt;

    private BigDecimal cyAmt;

    /**
     * 模糊查询条件
     * @return
     */
    //客户
    private String likeConsumer;
    //车牌号
    private String likeCarNo;
    //ke
    private String likeCustomerPhone;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date likePayDate;

    private List<String> stationIdList;

    public List<String> getStationIdList() {
        return stationIdList;
    }

    public void setStationIdList(List<String> stationIdList) {
        this.stationIdList = stationIdList;
    }

    /**
     * 展示信息别名
     * @return
     */
    //微信数量
    private Integer wxNum;
    // 支付宝支付数量
    private Integer zfbNum;
    //现金支付数量
    private Integer xjNum;

    public Integer getWxNum() {
        return wxNum;
    }

    public void setWxNum(Integer wxNum) {
        this.wxNum = wxNum;
    }

    public Integer getZfbNum() {
        return zfbNum;
    }

    public void setZfbNum(Integer zfbNum) {
        this.zfbNum = zfbNum;
    }

    public Integer getXjNum() {
        return xjNum;
    }

    public void setXjNum(Integer xjNum) {
        this.xjNum = xjNum;
    }

    public Date getLikePayDate() {
        return likePayDate;
    }

    public void setLikePayDate(Date likePayDate) {
        this.likePayDate = likePayDate;
    }

    public String getLikeCustomerPhone() {
        return likeCustomerPhone;
    }

    public void setLikeCustomerPhone(String likeCustomerPhone) {
        this.likeCustomerPhone = likeCustomerPhone;
    }

    public String getLikeConsumer() {
        return likeConsumer;
    }

    public void setLikeConsumer(String likeConsumer) {
        this.likeConsumer = likeConsumer;
    }

    public String getLikeCarNo() {
        return likeCarNo;
    }

    public void setLikeCarNo(String likeCarNo) {
        this.likeCarNo = likeCarNo;
    }

    public BigDecimal getQyAmt() {
        return qyAmt;
    }

    public void setQyAmt(BigDecimal qyAmt) {
        this.qyAmt = qyAmt;
    }

    public BigDecimal getCyAmt() {
        return cyAmt;
    }

    public void setCyAmt(BigDecimal cyAmt) {
        this.cyAmt = cyAmt;
    }

    public void setOrderId(Long orderId) 
    {
        this.orderId = orderId;
    }

    public Long getOrderId() 
    {
        return orderId;
    }
    public void setOrderNo(String orderNo) 
    {
        this.orderNo = orderNo;
    }

    public String getOrderNo() 
    {
        return orderNo;
    }
    public void setStationId(Long stationId) 
    {
        this.stationId = stationId;
    }

    public Long getStationId() 
    {
        return stationId;
    }
    public void setStationName(String stationName) 
    {
        this.stationName = stationName;
    }

    public String getStationName() 
    {
        return stationName;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setConsumerId(Long consumerId) 
    {
        this.consumerId = consumerId;
    }

    public Long getConsumerId() 
    {
        return consumerId;
    }
    public void setConsumer(String consumer) 
    {
        this.consumer = consumer;
    }

    public String getConsumer() 
    {
        return consumer;
    }
    public void setOilGun(String oilGun) 
    {
        this.oilGun = oilGun;
    }

    public String getOilGun() 
    {
        return oilGun;
    }
    public void setOilName(String oilName) 
    {
        this.oilName = oilName;
    }

    public String getOilName() 
    {
        return oilName;
    }
    public void setOilPirce(BigDecimal oilPirce) 
    {
        this.oilPirce = oilPirce;
    }

    public BigDecimal getOilPirce() 
    {
        return oilPirce;
    }
    public void setOilType(String oilType) 
    {
        this.oilType = oilType;
    }

    public String getOilType() 
    {
        return oilType;
    }

    public BigDecimal getOrderLiters() {
        return orderLiters;
    }

    public void setOrderLiters(BigDecimal orderLiters) {
        this.orderLiters = orderLiters;
    }

    public BigDecimal getAmt() {
        return amt;
    }

    public void setAmt(BigDecimal amt) {
        this.amt = amt;
    }

    public void setReceivableAmt(BigDecimal receivableAmt)
    {
        this.receivableAmt = receivableAmt;
    }

    public BigDecimal getReceivableAmt() 
    {
        return receivableAmt;
    }
    public void setReceivedAmt(BigDecimal receivedAmt) 
    {
        this.receivedAmt = receivedAmt;
    }

    public BigDecimal getReceivedAmt() 
    {
        return receivedAmt;
    }
    public void setDiscountAmt(BigDecimal discountAmt) 
    {
        this.discountAmt = discountAmt;
    }

    public BigDecimal getDiscountAmt() 
    {
        return discountAmt;
    }
    public void setDiscountCouponAmt(BigDecimal discountCouponAmt) 
    {
        this.discountCouponAmt = discountCouponAmt;
    }

    public BigDecimal getDiscountCouponAmt() 
    {
        return discountCouponAmt;
    }
    public void setDiscountCoupon(String discountCoupon) 
    {
        this.discountCoupon = discountCoupon;
    }

    public String getDiscountCoupon() 
    {
        return discountCoupon;
    }
    public void setWxAmt(BigDecimal wxAmt) 
    {
        this.wxAmt = wxAmt;
    }

    public BigDecimal getWxAmt() 
    {
        return wxAmt;
    }
    public void setZfbAmt(BigDecimal zfbAmt) 
    {
        this.zfbAmt = zfbAmt;
    }

    public BigDecimal getZfbAmt() 
    {
        return zfbAmt;
    }
    public void setPosAmt(BigDecimal posAmt) 
    {
        this.posAmt = posAmt;
    }

    public BigDecimal getPosAmt() 
    {
        return posAmt;
    }
    public void setXjAmt(BigDecimal xjAmt) 
    {
        this.xjAmt = xjAmt;
    }

    public BigDecimal getXjAmt() 
    {
        return xjAmt;
    }
    public void setDidiAppAmt(BigDecimal didiAppAmt) 
    {
        this.didiAppAmt = didiAppAmt;
    }

    public BigDecimal getDidiAppAmt() 
    {
        return didiAppAmt;
    }
    public void setTyAppAmt(BigDecimal tyAppAmt) 
    {
        this.tyAppAmt = tyAppAmt;
    }

    public BigDecimal getTyAppAmt() 
    {
        return tyAppAmt;
    }
    public void setOtherAmt(BigDecimal otherAmt) 
    {
        this.otherAmt = otherAmt;
    }

    public BigDecimal getOtherAmt() 
    {
        return otherAmt;
    }
    public void setDzkAmt(BigDecimal dzkAmt) 
    {
        this.dzkAmt = dzkAmt;
    }

    public BigDecimal getDzkAmt() 
    {
        return dzkAmt;
    }
    public void setScore(Long score) 
    {
        this.score = score;
    }

    public Long getScore() 
    {
        return score;
    }
    public void setMemberNo(String memberNo) 
    {
        this.memberNo = memberNo;
    }

    public String getMemberNo() 
    {
        return memberNo;
    }
    public void setMemberAmt(BigDecimal memberAmt) 
    {
        this.memberAmt = memberAmt;
    }

    public BigDecimal getMemberAmt() 
    {
        return memberAmt;
    }
    public void setPrintCount(Long printCount) 
    {
        this.printCount = printCount;
    }

    public Long getPrintCount() 
    {
        return printCount;
    }
    public void setPayType(String payType) 
    {
        this.payType = payType;
    }

    public String getPayType() 
    {
        return payType;
    }
    public void setPayWay(String payWay) 
    {
        this.payWay = payWay;
    }

    public String getPayWay() 
    {
        return payWay;
    }
    public void setOilPersonnel(String oilPersonnel) 
    {
        this.oilPersonnel = oilPersonnel;
    }

    public String getOilPersonnel() 
    {
        return oilPersonnel;
    }
    public void setPayDate(Date payDate) 
    {
        this.payDate = payDate;
    }

    public Date getPayDate() 
    {
        return payDate;
    }
    public void setCreatedDate(Date createdDate) 
    {
        this.createdDate = createdDate;
    }

    public Date getCreatedDate() 
    {
        return createdDate;
    }
    public void setOrderType(String orderType) 
    {
        this.orderType = orderType;
    }

    public String getOrderType() 
    {
        return orderType;
    }
    public void setCarNo(String carNo) 
    {
        this.carNo = carNo;
    }

    public String getCarNo() 
    {
        return carNo;
    }
    public void setCustomerPhone(String customerPhone) 
    {
        this.customerPhone = customerPhone;
    }

    public String getCustomerPhone() 
    {
        return customerPhone;
    }
    public void setCustomerGrade(String customerGrade) 
    {
        this.customerGrade = customerGrade;
    }

    public String getCustomerGrade() 
    {
        return customerGrade;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("orderId", getOrderId())
            .append("orderNo", getOrderNo())
            .append("stationId", getStationId())
            .append("stationName", getStationName())
            .append("status", getStatus())
            .append("consumerId", getConsumerId())
            .append("consumer", getConsumer())
            .append("oilGun", getOilGun())
            .append("oilName", getOilName())
            .append("oilPirce", getOilPirce())
            .append("oilType", getOilType())
            .append("orderLiters", getOrderLiters())
            .append("amt", getAmt())
            .append("receivableAmt", getReceivableAmt())
            .append("receivedAmt", getReceivedAmt())
            .append("discountAmt", getDiscountAmt())
            .append("discountCouponAmt", getDiscountCouponAmt())
            .append("discountCoupon", getDiscountCoupon())
            .append("wxAmt", getWxAmt())
            .append("zfbAmt", getZfbAmt())
            .append("posAmt", getPosAmt())
            .append("xjAmt", getXjAmt())
            .append("didiAppAmt", getDidiAppAmt())
            .append("tyAppAmt", getTyAppAmt())
            .append("otherAmt", getOtherAmt())
            .append("dzkAmt", getDzkAmt())
            .append("score", getScore())
            .append("memberNo", getMemberNo())
            .append("memberAmt", getMemberAmt())
            .append("printCount", getPrintCount())
            .append("payType", getPayType())
            .append("payWay", getPayWay())
            .append("oilPersonnel", getOilPersonnel())
            .append("payDate", getPayDate())
            .append("createdDate", getCreatedDate())
            .append("orderType", getOrderType())
            .append("carNo", getCarNo())
            .append("customerPhone", getCustomerPhone())
            .append("customerGrade", getCustomerGrade())
            .append("cyAmt", getCyAmt())
            .append("qyAmt", getQyAmt())
            .toString();
    }
}
